UTMGCT (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj.coords
Class UTMGCT

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.proj.coords.AbstractGCT
                  com.bbn.openmap.proj.coords.UTMGCT

All Implemented Interfaces:
  LightMapHandlerChild, GeoCoordTransformation, PropertyConsumer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener

    public class UTMGCT

extends AbstractGCT
implements GeoCoordTransformation

Field Summary
`static java.lang.String` | `ElliposoidProperty`
`protected Ellipsoid` | `ellipsoid`
`static java.lang.String` | `HemiProperty`
`protected LatLonPoint` | `tmpLL`
`protected UTMPoint` | `tmpUTM`
`protected char` | `zone_letter`
`protected int` | `zone_number`
`static java.lang.String` | `ZoneProperty`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport, isolated`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`UTMGCT()` Make sure you call setProperties() or set the UTM before trying to use this object.
`UTMGCT(int zone_number, char zone_letter)`
`UTMGCT(UTMPoint utmPoint)`

Method Summary
`java.awt.geom.Point2D` | `forward(double lat, double lon, java.awt.geom.Point2D ret)`
`Ellipsoid` | `getEllipsoid()`
`java.util.Properties` | `getProperties(java.util.Properties props)` PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent.
`java.util.Properties` | `getPropertyInfo(java.util.Properties props)` Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer.
`UTMPoint` | `getUtm()`
`LatLonPoint` | `inverse(double x, double y, LatLonPoint ret)`
`void` | `setEllipsoid(Ellipsoid ellipsoid)`
`void` | `setProperties(java.lang.String propertyPrefix, java.util.Properties props)` Sets the properties for the OMComponent.
`void` | `setUtm(UTMPoint utm)`

Methods inherited from class com.bbn.openmap.proj.coords.AbstractGCT
`forward, inverse`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, isIsolated, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext, setIsolated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.proj.coords.GeoCoordTransformation
`forward, inverse`

Field Detail

### ZoneProperty

    public static final java.lang.String ZoneProperty

See Also:
  Constant Field Values

### HemiProperty

    public static final java.lang.String HemiProperty

See Also:
  Constant Field Values

### ElliposoidProperty

    public static final java.lang.String ElliposoidProperty

See Also:
  Constant Field Values

### ellipsoid

    protected Ellipsoid ellipsoid

### tmpLL

    protected LatLonPoint tmpLL

### tmpUTM

    protected UTMPoint tmpUTM

### zone_number

    protected int zone_number

### zone_letter

    protected char zone_letter

Constructor Detail

### UTMGCT

    public UTMGCT()

  Make sure you call setProperties() or set the UTM before trying to use this object.

### UTMGCT

    public UTMGCT(int zone_number,
                  char zone_letter)

### UTMGCT

    public UTMGCT(UTMPoint utmPoint)

Method Detail

### getUtm

    public UTMPoint getUtm()

### setUtm

    public void setUtm(UTMPoint utm)

### forward

    public java.awt.geom.Point2D forward(double lat,
                                         double lon,
                                         java.awt.geom.Point2D ret)

  Specified by:
    `forward` in interface `GeoCoordTransformation`
  Specified by:
    `forward` in class `AbstractGCT`

### inverse

    public LatLonPoint inverse(double x,
                               double y,
                               LatLonPoint ret)

  Specified by:
    `inverse` in interface `GeoCoordTransformation`
  Specified by:
    `inverse` in class `AbstractGCT`

### setProperties

    public void setProperties(java.lang.String propertyPrefix,
                              java.util.Properties props)

  Description copied from class: `OMComponent`
  Sets the properties for the OMComponent.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `OMComponent`
  Parameters:
    `propertyPrefix` - the token to prefix the property names
    `props` - the `Properties` object

### getProperties

    public java.util.Properties getProperties(java.util.Properties props)

  Description copied from class: `OMComponent`
  PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent. If the component has a propertyPrefix set, the property keys should have that prefix plus a separating '.' prepended to each property key it uses for configuration.

  Specified by:
    `getProperties` in interface `PropertyConsumer`
  Overrides:
    `getProperties` in class `OMComponent`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If props equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### getPropertyInfo

    public java.util.Properties getPropertyInfo(java.util.Properties props)

  Description copied from class: `OMComponent`
  Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer. The key for each property should be the raw property name (without a prefix) with a value that is a String that describes what the property key represents, along with any other information about the property that would be helpful (range, default value, etc.). For Layer, this method should at least return the 'prettyName' property.

  Specified by:
    `getPropertyInfo` in interface `PropertyConsumer`
  Overrides:
    `getPropertyInfo` in class `OMComponent`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### getEllipsoid

    public Ellipsoid getEllipsoid()

### setEllipsoid

    public void setEllipsoid(Ellipsoid ellipsoid)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details